{% extends 'baseDashboard.html.twig' %}

{% block title %}Tableau de bord {% endblock %}

{% block body %}
  <div class="crancy-body-area">
      <!-- crancy Admin Menu -->
      <div class="crancy-smenu" id="CrancyMenu">
        <!-- Admin Menu -->
        <div class="admin-menu">
        {% include 'dashboard/includes/_sidebar.html.twig' %}
        </div>
        <!-- End Admin Menu -->
      </div>
      <!-- End crancy Admin Menu -->
      {% include 'dashboard/includes/_header.html.twig' %}
      


      <section class="crancy-adashboard crancy-show">
        <div class="container container__bscreen">
          <div class="row row__bscreen">
            <div class="col-12">
              <div
                class="crancy-body">
                <!-- Dashboard Inner -->
                <div class="crancy-dsinner">
                  <div class="row">
                    <div class="col-12 mg-top-50">
                      <div class="crancy-projects-head">
                        <h2 class="crancy-projects-head__heading">Mes événements</h2>
                        <div class="crancy-projects-head__right">

                          <a href="{{path('app_admin_events_new')}}" class="crancy-btn crancy-projects-head__button crancy-projects-head__button--add">
                            <i class="fas fa-plus"></i>
                            Ajouter un événement</a>
                        </div>
                      </div>
                    </div>
    
                  </div>
    
                  <div
                    class="tab-content" id="nav-tabContent">
                    <!-- Single Tab -->
                    <div class="tab-pane fade show active" id="tab_p1" role="tabpanel" aria-labelledby="side__one">
                      <div class="row mg-top-10">
                        {% for event in events %}
                          <div
                            class="col-xxl-4 col-lg-4 col-md-6 col-12">
                            <!-- Single Project -->
                            <div class="crancy-single-project mg-top-30">
                              <div class="crancy-toggle">
                                <a class="crancy-toggle__dropd"><img src="{{asset('assetsDash/img/toggle-icon.svg')}}"/></a>
                                <ul class="crancy-toggle__dropdown">
                                  <li>
    
                                          
                                          {{ include('dashboard/admin/admin_events/_delete_form.html.twig') }}
                                  </li>
                                 
                            
                           
                                </ul>
                              </div>
                              <!-- Project Head -->
                              <div class="crancy-single-project__head">
                                <div class="crancy-single-project__icon">
                                  {% if event.image  is not null and event.image  != '' %}
    
                                    <img src="{{ asset('uploads/events/' ~ event.image ) }}" alt="Image"></td>
                                {% else %}
                                  <p>No image available
                                  </p>
                                {% endif %}
                              </div>
                              <div class="crancy-single-project__heading">
                                <h4 class="crancy-single-project__title">
                                  {{ event.name |capitalize}}
                                </h4>
                                <p class="crancy-single-project__label">
                                  Organisateur :   {{ event.organizer |capitalize}}
                                  
                            
                                </p>
                              </div>
                            </div>
                            <!-- Project Content -->
                            <div class="crancy-single-project__content">
                              <p>
                                Date de début  : {{ event.startDate ? event.startDate|format_datetime(pattern="dd MMMM yyyy 'à' HH:mm", locale='fr_FR'|capitalize) }}
                               
                              </p>
                              <p>
                                Date de fin	  : {{ event.endDate ? event.endDate|format_datetime(pattern="dd MMMM yyyy 'à' HH:mm", locale='fr_FR'|capitalize) }}
                               
                         
                                <p>Statut :  {% if event.isVisible  %} <span class="text-success"> Actif</span> {% else %} <span class="text-danger"> Non Actif</span>  {% endif %}</p>
                               
                                
                             
                              <div class="crancy-single-project__progress"></div>
                              <div class="progress crancy-progressbar__single crancy-progressbar__single--v3">
                                <div class="progress-bar crancy-progressbar__bar crancy-color1__bg" role="progressbar" style="width: 100%" aria-valuenow="100" aria-valuemin="0" aria-valuemax="100"></div>
                              </div>
                            </div>
                            <!-- Project Bottom -->
                            <div class="crancy-single-project__bottom">
                             {# <div class="crancy-single-project__authors">
                                <p>Status :{{ course.isEnabled ? '<span class="font-weight-bold text-success">Oui</span>' : '<span class="font-weight-bold text-danger">Non</span>' }}</p>
    
                              </div>#}
                              <div class="">
                                <a href="{{ path('app_admin_events_show', {'id': event.id}) }}" class="btn btn-secondary  " href="">Détails</a>
    
                              </div>

                              <div class="">
                                <a  href="{{ path('app_admin_events_edit', {'id': event.id}) }}" class="btn btn-primary " href="">Modifier</a>
    
                              </div>
    
                            </div>
                          </div>
                          <!-- End Single Project -->
                        </div>
    
                      {% else %}
                        <div class="col-xxl-3 col-lg-4 col-md-6 col-12">
                          <p>Aucun enregistrement trouvé</p>
                        </div>
    
                      {% endfor %}
                    </div>
                  </div>
                  <!-- End Single Tab -->
                </div>
              </div>
              <!-- End Dashboard Inner -->
            </div>
          </div>
    
        </div>
      </div>
    </section>





    </div>


   
{% endblock %}




{#

    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Name</th>
                <th>Category</th>
                <th>Organizer</th>
                <th>TargetPublic</th>
                <th>Description</th>
                <th>StartDate</th>
                <th>EndDate</th>
                <th>Image</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for event in events %}
            <tr>
                <td>{{ event.id }}</td>
                <td>{{ event.name }}</td>
                <td>{{ event.Category }}</td>
                <td>{{ event.organizer }}</td>
                <td>{{ event.targetPublic }}</td>
                <td>{{ event.description }}</td>
                <td>{{ event.startDate ? event.startDate|date('Y-m-d H:i:s') : '' }}</td>
                <td>{{ event.endDate ? event.endDate|date('Y-m-d H:i:s') : '' }}</td>
                <td>{{ event.image }}</td>
                <td>
                    <a href="{{ path('app_admin_events_show', {'id': event.id}) }}">show</a>
                    <a href="{{ path('app_admin_events_edit', {'id': event.id}) }}">edit</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="10">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>

    <a href="{{ path('app_admin_events_new') }}">Create new</a>
#}